Create a contact
POST
Create a contact
inbox_identifier*stringThe identifier obtained from API inbox channel
application/json- body
identifier?stringExternal identifier of the contact
identifier_hash?stringIdentifier hash prepared for HMAC authentication
email?stringEmail of the contact
name?stringName of the contact
phone_number?stringPhone number of the contact
avatar?fileSend the form data with the avatar image binary or use the avatar_url
Format
binarycustom_attributes?Custom attributes of the customer
Success
application/json- response
id?integerId of the contact
source_id?stringThe session identifier of the contact
name?|Name of the contact when available
email?|Email of the contact
phone_number?|Phone number of the contact
pubsub_token?stringThe token to be used to connect to chatwoot websocket
curl -X POST 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": 0, "source_id": "string", "name": "string", "email": "string", "phone_number": "string", "pubsub_token": "string"}